#!/usr/bin/env python
###################################################################
#  Zorro Dose-fractionated Image Registration Software
#
#      License: LGPL
#      Author:  Robert A. McLeod
#      Website: https://github.com/C-CINA/zorro-dev
#
#  See LICENSE.txt for details about copyright and
#  rights to use.
####################################################################


from zorro import ImageRegistrator, main
import ioMRC
import ioDM
import binDM4
import zorro_util as util
import zorro_plotting as plot
from zorro_plotting import ims

import os.path
import numexprz as ne
import numpy as np

import ReliablePy

# Call Zorro as a blocking call on a provided config/log file.
def call( configName ):
    import subprocess
    execname = os.path.join( os.path.split( __file__ )[0], "zorro.py" )
    subprocess.call( "python " + execname + " -c " + configName, shell=True )

__workingScript = os.path.join( os.path.dirname(__file__), "zorroWorkingScript.py" )
if os.path.isfile( __workingScript ):
    print( "Zorro directory processing script may be found in : " + __workingScript )

try:
    print( "NumExpr initialized with: " + str( ne.nthreads ) + " threads" )
    # Now see which numexpr we have, by the dtype of float (whether it casts or not)
    tdata = np.complex64( 1.0 + 2.0j )
    fftw_dtype = ne.evaluate( 'tdata + tdata' ).dtype
    float_dtype = ne.evaluate( 'real(tdata+tdata)' ).dtype
    print( "NumExpr running with dtype = " + str(float_dtype) )
except: pass


__version__ = "0.4.0dev"

